diff --git a/web/pgadmin/misc/file_manager/__init__.py b/web/pgadmin/misc/file_manager/__init__.py
index 16da890d4..db5f0b6d4 100644
--- a/web/pgadmin/misc/file_manager/__init__.py
+++ b/web/pgadmin/misc/file_manager/__init__.py
@@ -1222,7 +1222,9 @@ class Filemanager(object):
         else:
             dir_path = os.path.dirname(path)
 
-        response = send_from_directory(dir_path, name, as_attachment=True)
+        response = send_from_directory(dir_path, name,
+                                       mimetype='application/octet-stream',
+                                       as_attachment=True)
         response.headers["filename"] = name
 
         return response
diff --git a/web/pgadmin/tools/storage_manager/__init__.py b/web/pgadmin/tools/storage_manager/__init__.py
index 14c240316..3024e0f6c 100644
--- a/web/pgadmin/tools/storage_manager/__init__.py
+++ b/web/pgadmin/tools/storage_manager/__init__.py
@@ -9,19 +9,12 @@
 
 """A blueprint module implementing the storage manager functionality"""
 
-import simplejson as json
-import os
-
-from flask import url_for, Response, render_template, request, current_app
+from flask import url_for, Response, render_template
 from flask_babel import gettext as _
-from flask_security import login_required, current_user
-from pgadmin.misc.bgprocess.processes import BatchProcess, IProcessDesc
-from pgadmin.utils import PgAdminModule, get_storage_directory, html, \
-    fs_short_path, document_dir, IS_WIN, does_utility_exist
-from pgadmin.utils.ajax import make_json_response, bad_request
-
-from config import PG_DEFAULT_DRIVER
-from pgadmin.model import Server
+from flask_security import login_required
+
+from pgadmin.utils import PgAdminModule
+from pgadmin.utils.ajax import bad_request
 from pgadmin.utils.constants import MIMETYPE_APP_JS
 
 MODULE_NAME = 'storage_manager'
